# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libkimgallery (kpart) #####################

tde_add_kpart( libkimgallery AUTOMOC
  SOURCES imgalleryplugin.cpp imgallerydialog.cpp
  LINK  konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( imagegallery )


##### other data ################################

install(
  FILES kimgalleryplugin.rc
  DESTINATION ${DATA_INSTALL_DIR}/konqiconview/kpartplugins
)

tde_create_translated_desktop(
  SOURCE kimgalleryplugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqiconview/kpartplugins
  PO_DIR konq-plugins-desktops
)

install(
  FILES kimgalleryplugin.rc
  DESTINATION ${DATA_INSTALL_DIR}/konqlistview/kpartplugins
)

tde_create_translated_desktop(
  SOURCE kimgalleryplugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqlistview/kpartplugins
  PO_DIR konq-plugins-desktops
)

tde_create_translated_desktop(
  SOURCE kimgalleryplugin.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR konq-plugins-desktops
)
